cupsys 1.2.12-2ubuntu1 source package in Ubuntu

Changelog

cupsys (1.2.12-2ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - TearDown (fast shutdown):
      + debian/control: Add sysv-rc (>= 2.86.ds1-14.1ubuntu2) dependency.
      + debian/rules: Use 'multiuser' update-rc.d mode.
    - debian/control, debian/rules: Drop cupsys-dbg package.
    - debian/cupsys.postinst: Various transitions that need to be kept until
      the next LTS:
      + Auto-enable snmp, scsi, and serial backends on upgrade.
      + Revert to single cupsd.conf file.
      + Remove obsolete rc.d links.
    - debian/patches/ubuntu-default-error-policy-retry-job.dpatch: Retry a
      failed job instead of stopping the print queue.
    - debian/patches/ubuntu-disable-browsing.dpatch: Disable browsing by
      default.
    - Add AppArmor profile:
      + debian/local/apparmor-profile
      + debian/cupsys.postinst: Reload AA profile on configuration.

cupsys (1.2.12-2) unstable; urgency=low

  [ Kenshi Muto ]
  * Added scripting directory to /usr/share/doc/cupsys/examples.
    This directory contains the binding code from Java, Perl, and PHP
    to CUPS. (closes: #193076)
    Although we Debian CUPS team cannot afford to maintain them,
    some of you may want them.
  * Added 'Recommends: cupsys' to cupsys-bsd. (closes: #426521)
  * Changed cupsys-client from 'Recommends: cupsys-bsd' to 'Suggests:
    cupsys-bsd.' because cupsys-bsd isn't so necessary for cupsys-client.
  * Fixed to use 'cupsys' instead of 'cups' for PAM on cups-check-pam-auth.
    (though Debian CUPS doesn't use this daemon) (closes: #425701)
  * Added debconf-2.0 to the dependency of cupsys-bsd. (closes: #415684)

  [ Martin Pitt ]
  * Drop the derooting changes. It still has some regressions, and with
    upstream not even acknowledging the need for improving cupsys' security we
    will sit on this forever. This will be replaced by an AppArmor/SELinux
    profiles in the future.
    - Drop derooting related patches:
      06_disable_backend_setuid.dpatch
      10_external_pam_helper.dpatch
      09_runasuser.dpatch
      09_runasuser_autoconf.dpatch
    - debian/cupsys{,-client}.postinst: Drop the 'cupsys' user setup and file
      permission juggling.
    - debian/rules:
      + Drop --with-cups-user configure option.
      + Do not modify the upstream default backend permissions.
    - debian/cupsys.init.d: Do not touch log file permissions any more.
    - debian/cupsys.files: Drop cups-check-pam-auth.
    - debian/NEWS: Drop description of derooting changes.
    - debian/control: Drop adduser dependency.
   * debian/patches/44_fixconfdirperms.dpatch: Do not create
     /var/run/cups/certs as lp:lpadmin, but as root:lpadmin, so that cupsd
     does not need CAP_DAC_OVERRIDE. This will make it possible to create a
     sensible AppArmor/SELinux profile.
   * debian/cupsys.preinst: Fix file permissions on upgrades (owner cupsys ->
     root).
   * debian/control, debian/rules: Remove references to libcupsys2-gnutls10,
     since it's a transitional package in Etch and not relevant any more in
     Lenny.
  * debian/cupsys.{pre,post}inst: Remove obsolete transition bits.
  * Remove obsolete debian/patches/05_avoidunknowngroup.dpatch.
  * Use ssl-cert's "snakeoil" SSL certificate by default: (Closes: #402370)
    - debian/control: Add ssl-cert dependency.
    - debian/cupsys.postinst: Symlink snakeoil SSL certificate if present, and
      there is none present yet.
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.

  [ Till Kamppeter ]
  * Add debian/local/textonly.{ppd,filter}: Text-only printer driver from Red
    Hat. Install it in debian/rules.
  * debian/rules: Install the D-Bus config file so that CUPS reports
    job progress to dbus clients (like sytem-config-printer).
  * Add debian/local/oopstops.{.pl,types,convs}: Helge Bliscke's oopstops
    filter to work around the bugs in the PostScript output of OpenOffice.org
    (from http://www.srz.de/Members/bla/cups/filter/oopstops). Install them in
    debian/rules.

 -- Martin Pitt <email address hidden>   Mon, 06 Aug 2007 16:24:49 +0200

Upload details

Uploaded by:
Martin Pitt on 2007-08-06
Uploaded to:
Gutsy
Original maintainer:
Ubuntu Development Team
Architectures:
any
Section:
net
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
cupsys_1.2.12.orig.tar.gz 4.2 MiB c9dfe6d7e86576a9e65d6514c5c89d0262bf03ee6775e0276ca4c95ee348a913
cupsys_1.2.12-2ubuntu1.diff.gz 111.7 KiB 3167dd3a9aa230ddf159a37ef6533daf7558030303c7d8a6d7d7921b2e5b2371
cupsys_1.2.12-2ubuntu1.dsc 1.1 KiB ee0526a7f11ef767724462619ee9ba58966731042dfa4a3628904915c64db8f6

View changes file

Binary packages built by this source

cupsys: No summary available for cupsys in ubuntu gutsy.

No description available for cupsys in ubuntu gutsy.

cupsys-bsd: No summary available for cupsys-bsd in ubuntu gutsy.

No description available for cupsys-bsd in ubuntu gutsy.

cupsys-client: No summary available for cupsys-client in ubuntu gutsy.

No description available for cupsys-client in ubuntu gutsy.

cupsys-common: No summary available for cupsys-common in ubuntu gutsy.

No description available for cupsys-common in ubuntu gutsy.

libcupsimage2: No summary available for libcupsimage2 in ubuntu gutsy.

No description available for libcupsimage2 in ubuntu gutsy.

libcupsimage2-dev: No summary available for libcupsimage2-dev in ubuntu gutsy.

No description available for libcupsimage2-dev in ubuntu gutsy.

libcupsys2: No summary available for libcupsys2 in ubuntu gutsy.

No description available for libcupsys2 in ubuntu gutsy.

libcupsys2-dev: No summary available for libcupsys2-dev in ubuntu gutsy.

No description available for libcupsys2-dev in ubuntu gutsy.